<?php
/**
* @version 2.0.0
* @package RSTickets! Pro 2.0.0
* @copyright (C) 2010 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

class RsticketsproViewReports extends JViewLegacy
{
	public function display($tpl = null)
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$this->addToolbar();

		$this->plain	= $this->get('RSPlain');
		$this->options	= $this->get('Options');
        $this->form     = $this->get('Form');
		$this->count_departments	= $this->get('countDepartments');
		$this->count_staff			= $this->get('countStaff');

		parent::display($tpl);
	}
	
	protected function addToolbar()
	{
		// set title
		JToolbarHelper::title('RSTickets! Pro', 'rsticketspro');

		RSTicketsProToolbarHelper::addToolbar('reports');
		
		JToolBar::getInstance('toolbar')->appendButton('Link', 'refresh', 'RST_BACK', 'index.php?option=com_rsticketspro');
	}
}